; Script generated by the Inno Script Studio Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!

; #define BUILD ; This can be set to any of: full64 full32 gui

#if BUILD == "full64"
	#define BITS 64
	#define IncludeCLI true
	#define InstallerName "TextInterfaces64bit"
#elif BUILD == "full32"
	#define BITS 32
	#define IncludeCLI true
	#define InstallerName "TextInterfaces"
#elif BUILD == "gui"
	; The architecture doesn't matter for the GUI build, because both the 32-bit and 64-bit RNAstructure libraries are shipped in either case.
	#define BITS 32
	#define IncludeCLI false
	#define InstallerName ""
#else
	#error No BUILD was specified.
#endif

#ifndef OutDir
	#define OutDir "..\"
#endif

; AppVer can be set from command-line, e.g.:  $ iscc /dBUILD='full64' /dAppVer='5.8' /Qp RNAstructureWindowsInstall.iss
#ifndef AppVer
	#define AppVer "5.8"
#endif

#define MyAppName "RNAstructure"
#define MyAppPublisher "David H. Mathews Lab -- University of Rochester"
#define MyAppURL "http://rna.urmc.rochester.edu"
#define MyAppExeName "RNAstructure.exe"
; The root release directory is where the installer should look for compiled RNAsstructure files. 
;  e.g. RELEASE\v5.8\Windows64\RNAsstructure
; The root directory defined and used only for convenience in defining the source, cli, and gui directories.
#define DIR_ROOT   "..\v" + AppVer
; DIR_Source should point to the RNAstructure directory that contains source files.
#define DIR_Source DIR_ROOT + "\windows" + str(BITS) + "\RNAstructure"
; DIR_CLI should point to the RNAstructure directory under which the compiled command-line interfaces are stored (in the exe sub-folder)
#define DIR_CLI    DIR_Source
; DIR_GUI should point to the RNAstructure directory under which the compiled Java GUI is stored (in the exe sub-folder)
#define DIR_GUI    DIR_ROOT + "\windowsGUI\RNAstructure"
#define InstallerDir "."
#define AppIconFile   "..\resources\RNAstructure.ico"
#define GUIExeWrapper "..\resources\RNAstructure.exe"

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications. IMPORTANT: Use "{{" at the beginning to escape the brace.
AppId={{67F29170-9E8D-1284-9E24-1261BC5A09B6}
AppName={#MyAppName}
AppVersion={#AppVer}
;AppVerName={#MyAppName} {#AppVer}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}/RNAstructureHelp.html
AppUpdatesURL={#MyAppURL}/software.html
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName=RNAstructure
AllowNoIcons=yes
;LicenseFile={#DIR_Source}\gpl.txt
;InfoBeforeFile=ReadMe.rtf
OutputDir={#OutDir}
OutputBaseFilename=RNAstructureWindows{#InstallerName}
SetupIconFile={#AppIconFile}
Compression=zip

; "ArchitecturesAllowed=x64" specifies that Setup cannot run on
; anything but x64.
#if BITS=64
	ArchitecturesAllowed=x64
#endif

; "ArchitecturesInstallIn64BitMode=x64" requests that the install be
; done in "64-bit mode" on x64, meaning it should use the native
; 64-bit Program Files directory and the 64-bit view of the registry.
ArchitecturesInstallIn64BitMode=x64
ShowTasksTreeLines=True

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"
Name: "french"; MessagesFile: "compiler:Languages\French.isl"
Name: "german"; MessagesFile: "compiler:Languages\German.isl"
Name: "italian"; MessagesFile: "compiler:Languages\Italian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
; Files from the exe folder that are included in both command-line and GUI installers. 
;  (for other 32- or 64-bit compiled exectuables, see #IncludeCLI below. 
Source: "{#GUIExeWrapper}"; DestDir: "{app}\exe"; Flags: ignoreversion
Source: "{#DIR_GUI}\exe\RNAstructure_GUI_32.dll"; DestDir: "{app}\exe"; Flags: ignoreversion
Source: "{#DIR_GUI}\exe\RNAstructure_GUI_64.dll"; DestDir: "{app}\exe"; Flags: ignoreversion
Source: "{#DIR_GUI}\exe\RNAstructure.bat"; DestDir: "{app}\exe"; Flags: ignoreversion
Source: "{#DIR_GUI}\exe\RNAstructure.jar"; DestDir: "{app}\exe"; Flags: ignoreversion
Source: "{#DIR_CLI}\exe\RNAstructure_CLI.bat"; DestDir: "{app}\exe"; Flags: ignoreversion
; Thermodynamic data files
Source: "{#DIR_Source}\data_tables\*"; DestDir: "{app}\data_tables"; Flags: ignoreversion recursesubdirs
; Help Manual
Source: "{#DIR_Source}\manual\GUI\*"; DestDir: "{app}\manual"; Flags: ignoreversion recursesubdirs createallsubdirs
; Examples folder
Source: "{#DIR_Source}\examples\*"; DestDir: "{commondocs}\RNAstructure-examples"; Flags: ignoreversion recursesubdirs createallsubdirs
Source: "{#DIR_Source}\examples\*"; DestDir: "{userdocs}\RNAstructure\examples"; Flags: ignoreversion recursesubdirs createallsubdirs
; Version.txt
Source: "{#DIR_Source}\Version.txt"; DestDir: "{app}"; DestName: "Version.txt"
; Icon
Source: {#AppIconFile}; DestDir: "{app}"; DestName: "RNAstructure.ico"

; NOTE: Don't use "Flags: ignoreversion" on any shared system files
#if IncludeCLI
	Source: "{#DIR_CLI}\exe\*.exe"; DestDir: "{app}\exe"; Flags: ignoreversion; Excludes: "{#GUIExeWrapper},RNAstructure_GUI*.dll,*.bat,*.jar"
#endif

[Icons]
; Windows Shortcuts (aka Shortcut Icons)
Name: "{group}\{#MyAppName}"; Filename: "{app}\exe\{#MyAppExeName}"
Name: "{group}\{#MyAppName} Manual"; Filename: "{app}\manual\html\Index.html"
#if IncludeCLI
Name: "{group}\RNAstructure Command-Line"; Filename: "{sys}\cmd.exe"; Parameters: "/k ""{app}\exe\RNAstructure_CLI.bat"""; WorkingDir: "{app}\exe"; IconFilename: "{sys}\cmd.exe"
#endif
Name: "{group}\{cm:ProgramOnTheWeb,{#MyAppName}}"; Filename: "{#MyAppURL}"
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"
Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon
Name: "{group}\RNAstructure Documents"; Filename: "{userdocs}\RNAstructure"; WorkingDir: "{userdocs}\RNAstructure"
Name: "{group}\RNAstructure Example Files"; Filename: "{commondocs}\RNAstructure-examples"; WorkingDir: "{commondocs}\RNAstructure-examples"

[Run]
Filename: "{app}\exe\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}} Graphical Interface"; Flags: nowait postinstall skipifsilent

[Dirs]
Name: "{userdocs}\RNAstructure"
